<!-- CSS pour le formulaire -->
<link href="<?php echo $request->getBaseUrl() . "/css/Fsn/" . $request->getController() . "/style.css" ; ?>" rel="stylesheet">

<!-- CSS pour l'arboraissance des emplacements -->
<link rel="stylesheet" href="<?php echo $request->getBaseUrl() ;?>/js/jqwidgets/styles/jqx.base.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $request->getBaseUrl() ;?>/js/jqwidgets/styles/jqx.darkblue.css" type="text/css" />

<!-- CSS pour les nature matières -->
<link href="<?php echo $request->getBaseUrl() ;?>/2.0/css/select/select2.min.css" rel="stylesheet">

<!-- CSS pour les éléments multimédias -->
<link rel="stylesheet" href="<?php echo $request->getBaseUrl(); ?>/2.0/css/blueimp-gallery.min.css">

<!-- JavaScripts pour l'arboraissance des emplacements -->
<!-- JQXWidget -->
<script type="text/javascript" src="<?php echo $request->getBaseUrl() ;?>/js/jqwidgets/jqxcore.js"></script>
<script type="text/javascript" src="<?php echo $request->getBaseUrl() ;?>/js/jqwidgets/jqxexpander.js"></script>
<script type="text/javascript" src="<?php echo $request->getBaseUrl() ;?>/js/jqwidgets/jqxbuttons.js"></script>
<script type="text/javascript" src="<?php echo $request->getBaseUrl() ;?>/js/jqwidgets/jqxscrollbar.js"></script>
<script type="text/javascript" src="<?php echo $request->getBaseUrl() ;?>/js/jqwidgets/jqxpanel.js"></script>
<script type="text/javascript" src="<?php echo $request->getBaseUrl() ;?>/js/jqwidgets/jqxtree.js"></script>
<script type="text/javascript" src="<?php echo $request->getBaseUrl() ;?>/js/jqwidgets/jqxcheckbox.js"></script>

<!-- JavaScript pour les nature matières -->
<script src="<?php echo $request->getBaseUrl() ;?>/2.0/js/select/select2.full.js"></script>
       
<!-- Une fois que la page est chargée --> 
<script>

$(document).ready(function() {
	
	// Désactivation du choix des site fouillé	
	$("#select_sf").attr("disabled", "disabled") ;

	// Début gestion numéro
	
		$("#elementisole").change(function() {
		if (this.checked)
			$("#numero").val($("#numero_isole").val()) ;
		else
			$("#numero").val($("#numero_non_isole").val()) ;
	}) ;
	
	// Fin gestion numéro
	
	// Début gestion de la section poterie
	
	$.ajax({
		async: false,
		type:"post",
		url: "<?php echo $this->getRequest("Elementrecueilli", "ajaxIsPoterie") ; ?>",
		data:"id=" + $("#classe_id").val(),
		success: function (data, status, xhr) {
			if (parseInt(data) == 1)
				$("#section_poterie").show() ;
			else
				$("#section_poterie").hide() ;	
		},
		error: function(data,status){
			console.log(data);
			console.log(status);
		}
	});
	
	$("#classe_id").change(function() {
		$.ajax({
			async: false,
			type:"post",
			url: "<?php echo $this->getRequest("Elementrecueilli", "ajaxIsPoterie") ; ?>",
			data:"id=" + $("#classe_id").val(),
			success: function (data, status, xhr) {
				if (parseInt(data) == 1)
					$("#section_poterie").show() ;
				else
					$("#section_poterie").hide() ;	
			},
			error: function(data,status){
				console.log(data);
				console.log(status);
			}
		});		
	}) ;
	
	// Fin gestion de la section poterie
	
	// Début gestion de la précision production
	
	var length = $('#precisionproduction_id > option').length;
	 if (length == 0 || length == 1) {
			$("#div_precisionproduction").hide() ;
	} else {
			$("#div_precisionproduction").show() ;
	}
	
	$("#production_id").change(function() {
		$.ajax({
			async: false,
			type:"post",
			url: "<?php echo $this->getRequest("Elementrecueilli", "ajaxGetPrecisionProduction") ; ?>",
			data:"id=" + $("#production_id").val(),
			success: function (data, status, xhr) {
				$("#select_precisionproduction").html(data) ;
				
				var length = $('#precisionproduction_id > option').length;
				if (length == 0 || length == 1) {
					$("#div_precisionproduction").hide() ;
				} else {
					$("#div_precisionproduction").show() ;
				}
			},
			error: function(data,status){
				console.log(data);
				console.log(status);
			}
		});		
	}) ;
	
	// Début nature matière
	
	$(".select2_multiple").select2({
		maximumSelectionLength: 50,
		placeholder: "Ajouter",
		allowClear: false
	});
	
	$("#naturematiere_list").change(function() {
		$("#naturematiere_principal").html('') ;
		$('#naturematiere_list :selected').each(function(i, selected){
			$('#naturematiere_principal').append($('<option>', {
				value: $(selected).val(),
				text: $		(selected).text()
			})) ;
		}) ;
		
		var length = $('#naturematiere_principal > option').length;
		if (length == 0) {
			$("#section_nm_principal").hide() ;
		} else {
			$("#section_nm_principal").show() ;
		}
	}) ;
		
	// S'il n'y a pas de nature matière on affiche pas la nature matière principal
		
	var length = $('#naturematiere_principal > option').length;
	if (length == 0) {
		$("#section_nm_principal").hide() ;
	} else {
		$("#section_nm_principal").show() ;
	}
	
	// Fin nature matière
	
	// Début emplacements
	
		// Create jqxTree

		var tree = $('#jqxTree');
		var source = null;
		$.ajax({
			async: false,
			url: "<?php echo $this->getRequest("conteneur", "ajaxGetTree") ; ?>",
			success: function (data, status, xhr) {
				console.log(data);
				source = jQuery.parseJSON(data);
			},
			error: function(data,status){
				console.log(data);
				console.log(status);
			}
		});

        tree.jqxTree({ source: source,  height: 350, width: '80%' });

		// Pré-sélection et developpement de la branche concernée
		var emplacement = $('#emplacement_id').val() ;
		var conteneur =  $('#conteneur_id').val() ;
		if (conteneur != "") {
			tree.jqxTree('selectItem', $('#con' + conteneur)[0]) ;
			tree.jqxTree('expandItem', $('#con' + conteneur)[0]) ;
		}

		if (emplacement != "") {
			tree.jqxTree('selectItem', $('#emp' + emplacement)[0]) ;
			tree.jqxTree('expandItem', $('#emp' + emplacement)[0]) ;
		}

        // Au moment de la Sélection

        $('#jqxTree').on("select", function() {
			var selectedItem = $('#jqxTree').jqxTree('selectedItem');

			if (selectedItem != null && selectedItem.id != "0") {
				if ($('#emplacement_id').val() == "" && $('#conteneur_id').val() == "") {
					$('#emplacement_choisi').val(selectedItem.label) ;
					if (selectedItem.id.substring(0, 3) == "emp") {
									$('#emplacement_id').val(selectedItem.id.substring(3)) ;
									$('#conteneur_id').val('') ;
					} else if (selectedItem.id.substring(0, 3) == "con") {
						$('#conteneur_id').val(selectedItem.id.substring(3)) ;
						$('#emplacement_id').val('') ;
					}
				} else {
					alert('Veuillez effacer la sélection précédente pour pouvoir sélectionner cet emplacement.') ;
				}
			}
        }) ;

		// Suppression de la sélection

		$('#btn_effacer').click(function() {
			$('#emplacement_choisi').val('') ;
			$('#emplacement_id').val('') ;
			$('#conteneur_id').val('') ;
			$('#jqxTree').jqxTree('selectItem', $('#0')[0]);
		}) ;
	
	// Fin emplacements
	
	// Début gestion détail
	var action = "<?php echo $request->getAction() ; ?>" ;
	if (action == "show") {
		$("#div_submit").hide() ;
		$("#intact").attr('disabled', 'disabled');
		//Désactivation
		
		var items = tree.jqxTree('getItems') ; 
		for (var i = 0 ; i < items.length ; i++) {
    			$('#jqxTree').jqxTree('disableItem', items[i].element) ;
		}
	}
	// Fin gestion détail
}) ;


</script>

<!-- Titre -->
<h2 class="page-header">
	<?php 
		if ($request->getAction() == "add")		
			echo $filter_no_html->filter( $i18n -> say('add_form') );
		else if ($request->getAction() == "edit") 
			echo $filter_no_html->filter( $i18n -> say('edit_form') );
		else
			echo $filter_no_html->filter( $i18n -> say('show_form') );
	?>
</h2>

<!-- Début du formulaire -->
<form method="post" action="" role="form" class="form-horizontal">
    <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
        <!-- Panel Identification - Start -->
        <div class="panel panel panel-primary">
            <div class="panel-heading" role="tab" id="headingIdentification">
                <h4 class="panel-title">
					<span class="icon-address" aria-hidden="true"></span>&nbsp;
                    <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseIdentification" aria-expanded="true" aria-controls="collapseIdentification">
                        Identification
                    </a>
                </h4>
            </div>
            <div id="collapseIdentification" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingIdentification">
                <div class="panel-body">
                    <div class="col-md-12">
                    
                    <!-- Date découverte -->
                        <div
                                class="form-group field <?php echo $form->getElement('datedecouverte')->get('type'); ?> <?php echo array_key_exists('datedecouverte', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('datedecouverte')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('datedecouverte')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('datedecouverte')->get('label')).' '.(($form->getElement('datedecouverte')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('datedecouverte')->getHtml(); ?>
                        </div>
                        
                    <!-- US de rattachement --> 
                        <div
                                class="form-group field <?php echo $form->getElement('numero')->get('type'); ?> <?php echo array_key_exists('us_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('us_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('us_identification')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('us_identification')->get('label')).' '.(($form->getElement('us_identification')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('us_identification')->getHtml(); ?>
                        </div>
                        
					<!-- Numéro -->
                        <div
                                class="form-group field <?php echo $form->getElement('numero')->get('type'); ?> <?php echo array_key_exists('numero', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('numero')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('numero')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('numero')->get('label')).' '.(($form->getElement('numero')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('numero')->getHtml(); ?>
                        </div>

					<!-- élément isolé -->
                        <div
                                class="form-group field <?php echo $form->getElement('elementisole')->get('type'); ?> <?php echo array_key_exists('elementisole', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('elementisole')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('elementisole')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('elementisole')->get('label')).' '.(($form->getElement('elementisole')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('elementisole')->getHtml(); ?>
                        </div>
                        
					<!-- Description -->
                        <div
                                class="form-group field <?php echo $form->getElement('description')->get('type'); ?> <?php echo array_key_exists('description', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('description')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('description')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('description')->get('label')).' '.(($form->getElement('description')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('description')->getHtml(); ?>
                        </div>

					<!-- Intervenant -->
                        <div
                                class="form-group field <?php echo $form->getElement('intervenant_id')->get('type'); ?> <?php echo array_key_exists('intervenant_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('intervenant_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('intervenant_id')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('intervenant_id')->get('label')).' '.(($form->getElement('intervenant_id')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('intervenant_id')->getHtml(); ?>
                        </div>

                    </div>

                    <div class="col-md-6">

                    </div>
                </div>
            </div>
        </div>
        <!-- Panel Identification - End -->

        <!-- Panel Caracteristics - Start -->
        <div class="panel panel-primary">
            <div class="panel-heading" role="tab" id="headingCaracteristics">
                <h4 class="panel-title">
					<span class="glyphicon glyphicon-list-alt" aria-hidden="true"></span>&nbsp;
                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseCaracteristics" aria-expanded="false" aria-controls="collapseThree">
                        Caractéristiques
                    </a>
                </h4>
            </div>
            <div id="collapseCaracteristics" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingCaracteristics">
                <div class="panel-body">
                    <div class="col-md-12">
                        <div
                                class="form-group field <?php echo $form->getElement('etat_id')->get('type'); ?> <?php echo array_key_exists('etat_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('etat_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('etat_id')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('etat_id')->get('label')).' '.(($form->getElement('etat_id')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('etat_id')->getHtml(); ?>
                        </div>
						
                        <div
                                class="form-group field <?php echo $form->getElement('statut_id')->get('type'); ?> <?php echo array_key_exists('statut_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('statut_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('statut_id')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('statut_id')->get('label')).' '.(($form->getElement('statut_id')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('statut_id')->getHtml(); ?>
                        </div>
                        
                        <div
                                class="form-group field <?php echo $form->getElement('classe_id')->get('type'); ?> <?php echo array_key_exists('classe_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('classe_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('classe_id')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('classe_id')->get('label')).' '.(($form->getElement('classe_id')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('classe_id')->getHtml(); ?>
                        </div>
                        
                        <div
                                class="form-group field <?php echo $form_nm->getElement('naturematiere_list')->get('type'); ?> <?php echo array_key_exists('naturematiere_list', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form_nm->getElement('naturematiere_list')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form_nm->getElement('naturematiere_list')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form_nm->getElement('naturematiere_list')->get('label')).' '.(($form_nm->getElement('naturematiere_list')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form_nm->getElement('naturematiere_list')->getHtml(); ?>
                        </div>

						<div id="section_nm_principal">
                            <div
                                class="form-group field <?php echo $form_nm->getElement('naturematiere_principal')->get('type'); ?> <?php echo array_key_exists('naturematiere_principal', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form_nm->getElement('naturematiere_principal')->get('id'); ?>">
								<label
										class="col-md-3 control-label"
										for="<?php echo $form_nm->getElement('naturematiere_principal')->get('id'); ?>">
									<?php echo $filter_no_html->filter($form_nm->getElement('naturematiere_principal')->get('label')).' '.(($form_nm->getElement('naturematiere_principal')->get('needed')) ? '*' : ''); ?>
								</label>
								<?php echo $form_nm->getElement('naturematiere_principal')->getHtml(); ?>
							</div>
                        </div>

                        <div
                                class="form-group field <?php echo $form->getElement('fonction_id')->get('type'); ?> <?php echo array_key_exists('fonction_id', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('fonction_id')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('fonction_id')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('fonction_id')->get('label')).' '.(($form->getElement('fonction_id')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('fonction_id')->getHtml(); ?>
                        </div>
						
                        <div
                                class="form-group field <?php echo $form->getElement('precisionfonction')->get('type'); ?> <?php echo array_key_exists('precisionfonction', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('precisionfonction')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('precisionfonction')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('precisionfonction')->get('label')).' '.(($form->getElement('precisionfonction')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('precisionfonction')->getHtml(); ?>
                        </div>
						
                        <div
                                class="form-group field <?php echo $form->getElement('quantite')->get('type'); ?> <?php echo array_key_exists('quantite', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('quantite')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('quantite')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('quantite')->get('label')).' '.(($form->getElement('quantite')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('quantite')->getHtml(); ?>
                        </div>
						
                        <div
                                class="form-group field <?php echo $form->getElement('poids')->get('type'); ?> <?php echo array_key_exists('poids', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('poids')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('poids')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('poids')->get('label')).' '.(($form->getElement('poids')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('poids')->getHtml(); ?>
                        </div>
						
                        <div
                                class="form-group field <?php echo $form->getElement('longueur')->get('type'); ?> <?php echo array_key_exists('longueur', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('longueur')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('longueur')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('longueur')->get('label')).' '.(($form->getElement('longueur')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('longueur')->getHtml(); ?>
                        </div>
						
                        <div
                                class="form-group field <?php echo $form->getElement('largeur')->get('type'); ?> <?php echo array_key_exists('largeur', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('largeur')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('largeur')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('largeur')->get('label')).' '.(($form->getElement('largeur')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('largeur')->getHtml(); ?>
                        </div>
						
                        <div
                                class="form-group field <?php echo $form->getElement('hauteur')->get('type'); ?> <?php echo array_key_exists('hauteur', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('hauteur')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('hauteur')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('hauteur')->get('label')).' '.(($form->getElement('hauteur')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('hauteur')->getHtml(); ?>
                        </div>
						
                        <div
                                class="form-group field <?php echo $form->getElement('diametre')->get('type'); ?> <?php echo array_key_exists('diametre', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('diametre')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('diametre')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('diametre')->get('label')).' '.(($form->getElement('diametre')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('diametre')->getHtml(); ?>
                        </div>
						
                        <div
                                class="form-group field <?php echo $form->getElement('incertitude')->get('type'); ?> <?php echo array_key_exists('incertitude', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('incertitude')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('incertitude')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('incertitude')->get('label')).' '.(($form->getElement('incertitude')->get('needed')) ? '*' : ''); ?>
                            </label>
                            <?php echo $form->getElement('incertitude')->getHtml(); ?>
                        </div>
						
                        <div
                                class="form-group field <?php echo $form->getElement('intact')->get('type'); ?> <?php echo array_key_exists('intact', $form_errors) ? ' error' : ''; ?>"
                                id="F<?php echo $form->getElement('intact')->get('id'); ?>">
                            <label
                                    class="col-md-3 control-label"
                                    for="<?php echo $form->getElement('intact')->get('id'); ?>">
                                <?php echo $filter_no_html->filter($form->getElement('intact')->get('label')).' '.(($form->getElement('intact')->get('needed')) ? '*' : ''); ?>
                            </label>
                            
                            <input id="intact"
                                       class="<?php echo $filter_no_html->filter($form->getElement('intact')->get('class')); ?>"
                                       type="checkbox" name="<?php echo $filter_no_html->filter($form->getElement('intact')->get('id')); ?>"
                                       value="<?php echo $filter_no_html->filter($form->getElement('intact')->get('value')); ?>">
                                        
                             <input type="hidden" value="1" name="<?php echo '___'.$filter_no_html->filter($form->getElement('intact')->get('id').'___'); ?>">
                              
                        </div>
                                                
                        <!-- Début caractéristiques poterie -->
                        <div class="field form-group panel-block" id="section_poterie">
                            <div id="panel-caract-poterie" class="panel panel-default col-md-12">
                                <div class="panel-heading"><h4 class="panel-title">Caractéristiques poterie</h4></div>
                                <div class="panel-body">
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('caracterepate_id')->get('type'); ?> <?php echo array_key_exists('caracterepate_id', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('caracterepate_id')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('caracterepate_id')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('caracterepate_id')->get('label')).' '.(($form_poterie->getElement('caracterepate_id')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('caracterepate_id')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('production_id')->get('type'); ?> <?php echo array_key_exists('production_id', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('production_id')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('production_id')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('production_id')->get('label')).' '.(($form_poterie->getElement('production_id')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('production_id')->getHtml(); ?>
                                    </div>
                                    <div id="div_precisionproduction">
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('precisionproduction_id')->get('type'); ?> <?php echo array_key_exists('precisionproduction_id', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('precisionproduction_id')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('precisionproduction_id')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('precisionproduction_id')->get('label')).' '.(($form_poterie->getElement('precisionproduction_id')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <div id="select_precisionproduction">
                                        	<?php echo $form_poterie->getElement('precisionproduction_id')->getHtml(); ?>
                                        	</div>
                                    </div>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('forme_id')->get('type'); ?> <?php echo array_key_exists('forme_id', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('forme_id')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('forme_id')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('forme_id')->get('label')).' '.(($form_poterie->getElement('forme_id')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('forme_id')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('decor')->get('type'); ?> <?php echo array_key_exists('decor', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('decor')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('decor')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('decor')->get('label')).' '.(($form_poterie->getElement('decor')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('decor')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('traceusage')->get('type'); ?> <?php echo array_key_exists('traceusage', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('traceusage')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('traceusage')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('traceusage')->get('label')).' '.(($form_poterie->getElement('traceusage')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('traceusage')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('proportionconserve')->get('type'); ?> <?php echo array_key_exists('proportionconserve', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('proportionconserve')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('proportionconserve')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('proportionconserve')->get('label')).' '.(($form_poterie->getElement('proportionconserve')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('proportionconserve')->getHtml(); ?>
                                    </div>
                                    <div
                                            class="form-group field <?php echo $form_poterie->getElement('classification_id')->get('type'); ?> <?php echo array_key_exists('classification_id', $form_errors) ? ' error' : ''; ?>"
                                            id="F<?php echo $form_poterie->getElement('classification_id')->get('id'); ?>">
                                        <label
                                                class="col-md-3 control-label"
                                                for="<?php echo $form_poterie->getElement('classification_id')->get('id'); ?>">
                                            <?php echo $filter_no_html->filter($form_poterie->getElement('classification_id')->get('label')).' '.(($form_poterie->getElement('classification_id')->get('needed')) ? '*' : ''); ?>
                                        </label>
                                        <?php echo $form_poterie->getElement('classification_id')->getHtml(); ?>
                                    </div>
                                </div>
                            </div>
                        </div>                        
                        <!-- Fin caractéristiques poterie --> 
						
                    </div>
                </div>
            </div>
        </div>
        <!-- Panel Caracteristics - End -->

        <!-- Panel Datations - Start -->
        <div class="panel panel-primary">
            <div class="panel-heading" role="tab" id="headingCaracteristics">
                <h4 class="panel-title">
					<span class="glyphicon glyphicon-calendar" aria-hidden="true"></span>&nbsp;
                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseDatations" aria-expanded="false" aria-controls="collapseThree">
                        Datations
                    </a>
                </h4>
            </div>
            <div id="collapseDatations" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingDatations">
                <div class="panel-body">                
                    <!-- Début datations estimées -->
                    <div class="col-md-6">
                        <div id="Datations-estimee" class="panel panel-info">
                            <div class="panel-heading"><h4 class="panel-title">Datations Estimées</h4></div>
                            <div class="panel-body bg-info">
                                <table width="100%" cellpadding="0" cellspacing="0" border="0">
                                    <tr>
                                        <td class="arrow_vertical_bottom">&nbsp;</td>
                                        <td colspan="2" style="font-size: 20px; text-align: right;">
                                            <span class="label label-primary"><?php echo $form->getElement('datationfinutil_estim')->get('label'); ?></span>
                                        </td>
                                        <td><?php echo $form->getElement('datationfinutil_estim')->getHtml(); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="arrow_vertical_middle">&nbsp;</td>
                                        <td style="height:40px;"></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td class="arrow_vertical_top">&nbsp;</td>
                                        <td colspan="2" style="font-size: 20px; text-align: right;">
                                            <span class="label label-primary"><?php echo $form->getElement('datationdebreal_estim')->get('label'); ?></span>
                                        </td>
                                        <td><?php echo $form->getElement('datationdebreal_estim')->getHtml(); ?></td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
					<!-- Fin datation estimée -->
                
                    <!-- Début datations certaines -->
                    <div class="col-md-6">
                        <div id="Datations-certaine" class="panel panel-warning">
                            <div class="panel-heading"><h4 class="panel-title">Datations Certaines</h4></div>
                            <div class="panel-body bg-warning">
                                <table width="100%" cellpadding="0" cellspacing="0" border="0">
									<tr>
                                        <td class="arrow_vertical_bottom">&nbsp;</td>
                                        <td colspan="2" style="font-size: 20px; text-align: right;">
                                            <span class="label label-primary"><?php echo $form->getElement('datationfinutil_certain')->get('label'); ?></span>
                                        </td>
                                        <td><?php echo $form->getElement('datationfinutil_certain')->getHtml(); ?></td>
                                    </tr>
                                    <tr>
                                        <td class="arrow_vertical_middle"> </td>
                                        <td style="height:40px;"></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td class="arrow_vertical_top">&nbsp;</td>
                                        <td colspan="2" style="font-size: 20px; text-align: right;">
                                            <span class="label label-primary"><?php echo $form->getElement('datationdebreal_certain')->get('label'); ?></span>
                                        </td>
                                        <td><?php echo $form->getElement('datationdebreal_certain')->getHtml(); ?></td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>                    
					<!-- Fin datations certaines -->                    
                </div>
            </div>
        </div>
        <!-- Panel Datations - End -->
        
        <!-- Panel Rangement - Start -->
		<div class="panel panel-primary">
            <div class="panel-heading" role="tab" id="headingRangement">
                <h4 class="panel-title">
					<span class="glyphicon glyphicon-briefcase" aria-hidden="true"></span>&nbsp;
                    <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseRangement" aria-expanded="false" aria-controls="collapseThree">
                        Rangement
                    </a>
                </h4>
            </div>
            <div id="collapseRangement" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingRangement">
                <div class="panel-body">             
                    <div class="col-md-6">
						<!-- Début JQXTree -->
						<div id='jqxWidget' style="text-align: center; ">
							<div id='jqxTree' style=""></div>
							<div style="padding:20px; text-align:left;">
								<label for="emplacement_choisi">Emplacement choisi : </label>						
								<input type="text" class="input-transparent input_style" style="width:200px;" readonly="readonly" id="emplacement_choisi" name="emplacement_choisi" value="<?php echo $form->getElement('emplacement_choisi')->get('value')?>" />
								<span id="btn_effacer" class="glyphicon glyphicon-remove" style="display:inline;" alt="Effacer la sélection" title="Effacer la sélection" ></span>
							</div>
						</div>                    
						<!-- Fin JQXTree -->
                    </div>
                </div>
            </div>
        </div>
        <!-- Panel Rangement - End -->
		
		<!-- Panel Multimedia - Start (For visu show only) -->
		<?php 

		if(isset($files) and !empty($files)){  ?>
			<div id="panel_media" class="panel panel-primary">
				<div class="panel-heading" role="tab" id="headingMedia">
					<h4 class="panel-title">
						<span class="icon-time" aria-hidden="true"></span>&nbsp;
						<a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseMedia" aria-expanded="false" aria-controls="collapseMedia">
							<?php echo $filter_no_html->filter( $i18n -> say('multimedia') ); ?>
						</a>
					</h4>
				</div>
				
				<div id="collapseMedia" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingMedia">
					<div class="panel-body media-width">
						<div class="panel-body-media">
							<?php												
								foreach($files as $image)
								{ 
									$img_name = str_replace($repertoire,'',$image); ?> 
									<table class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
										<tr>
											<td class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
												<div id="gallery">
													<a href="<?php echo $request->getBaseUrl().'/'.$image ?>" style="text-decoration: none;" data-gallery>
														<img id="media-img" title="<?php echo $filter_no_html->filter( $i18n -> say('multimedia_img_title') ); ?>" src="<?php echo $request->getBaseUrl().'/'.$image ?>" alt="No media">
													</a>
												</div>
											</td>										
											<td class="col-lg-4 col-md-4 col-sm-4 col-xs-4">
												<?php echo $img_name ?>
											</td>										
											<td class="col-lg-3 col-md-3 col-sm-3 col-xs-2">
												<?php echo Plugin_Fonctions::fileSizeConvert(filesize($image)); ?>
											</td>
										</tr>
									</table>

									<div id="blueimp-gallery" class="blueimp-gallery blueimp-gallery-controls">
										<div class="slides"></div>
										<h3 class="title"></h3>
										<a class="prev">‹</a>
										<a class="next">›</a>
										<a class="close">×</a>
										<a class="play-pause"></a>
										<ol class="indicator"></ol>
									</div>
									
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		<?php } ?>
		<!-- Panel Multimedia - End -->
		
		<!-- Panel Traitement - Start (For visu show only) -->
		<?php 

		if(isset($traitements) and !empty($traitements)){  ?>
			<div id="panel_traitement" class="table-detail panel panel-primary">
				<div class="panel-heading" role="tab" id="headingTraitement">
					<h4 class="panel-title">
						<span class="icon-time" aria-hidden="true"></span>&nbsp;
						<a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseTraitement" aria-expanded="false" aria-controls="collapseTraitement">
							<?php echo $filter_no_html->filter( $i18n -> say('traitements') ); ?>
						</a>
					</h4>
				</div>
				
				<div id="collapseTraitement" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTraitement">
					<div class="panel-body">
						<table id="table-traitement" class="table table-striped table-bordered table-hover table-condensed table-responsive table-panel">
							<thead>
								<tr>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('nom')) ; ?>
									</th>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('ref_labo')) ; ?>
									</th>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('type')) ; ?>
									</th>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('debut')) ; ?>
									</th>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('fin')) ; ?>
									</th>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('lieu')) ; ?>
									</th>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('observation')) ; ?>
									</th>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('etat_id')) ; ?>
									</th>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('inter_id')) ; ?>
									</th>
								</tr>
							</thead>
							<?php 
								foreach($traitements as $traitement){
									//$_SESSION['idER2'] = $traitement->get('er_id'); ?>									
									<tr>										
										<td>
											<a href="<?php echo $this->getRequest('Traitement', 'show', array($traitement->get('id'))); ?>"
												title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')); ?>" target="_blank">
												<?php echo $traitement->get('nom'); ?>
											</a>
										</td>											
										<td><?php echo $traitement->get('ref_labo'); ?></td>
										<td><?php echo $traitement->get('traitement_type'); ?></td>
										<td><?php echo $traitement->get('debut'); ?></td>											
										<td><?php echo $traitement->get('fin'); ?></td>	
										<td><?php echo $traitement->get('lieu'); ?></td>	
										<td><?php echo $traitement->get('observation'); ?></td>	
										<td><?php echo $traitement->get('traitement_etat'); ?></td>	
										<td><?php echo $traitement->get('intervenant_nom_complet'); ?></td>	
									</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		<?php } ?>
		<!-- Panel Traitement - End -->
		
		<!-- Panel Association - Start (For visu show only) -->
		<?php 

		if(isset($associations) and !empty($associations)){ ?>
			<div id="panel_association" class="table-detail panel panel-primary">
				<div class="panel-heading" role="tab" id="headingAssociation">
					<h4 class="panel-title">
						<span class="glyphicon glyphicon-link" aria-hidden="true"></span>&nbsp;
						<a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseAssociation" aria-expanded="false" aria-controls="collapseAssociation">
							<?php echo $filter_no_html->filter( $i18n -> say('associations') ); ?>
						</a>
					</h4>
				</div>
				
				<div id="collapseAssociation" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingAssociation">
					<div class="panel-body">
						<table class="table table-striped table-bordered table-hover table-condensed table-responsive table-panel">
							<thead>
								<tr>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('er_ancien_nom')) ; ?>
									</th>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('er_nouveau_nom')) ; ?>
									</th>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('typeasso_nom')) ; ?>
									</th>
									<th>
										<?php echo $filter_no_html->filter( $i18n->say('commentaire')) ; ?>
									</th>									
								</tr>
							</thead>
							<?php 
								foreach($associations as $association){
									//$_SESSION['idER2'] = $association->get('er_id'); ?>									
									<tr>										
										<td>
											<a href="<?php echo $this->getRequest('association', 'show', array($association->get('id'))); ?>"
												title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')); ?>" target="_blank">
												<?php echo $association->get('er_ancien_nom', $filter_html); ?>
											</a>
										</td>											
										<td><?php echo $association->get('er_nouveau_nom'); ?></td>
										<td><?php echo $association->get('typeasso_nom'); ?></td>
										<td><?php echo $association->get('commentaire'); ?></td>
									</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		<?php } ?>
		<!-- Panel Association - End -->
                
    </div>

	<div>
		<div style="display:inline;" id="div_submit"><input class="btn btn-primary" type="submit" value="<?php echo $filter_no_html->filter( $i18n -> say('save_form') ); ?>" /></div>
		<a href="<?php echo $this->getRequest('Elementrecueilli', 'index'); ?>" class="btn btn-default"><?php echo $filter_no_html->filter( $i18n -> say('back_form') ); ?></a>
	</div>

    <!-- Gestion des champs cachés -->
    <div>
    	<?php echo $form->getElement('numero_isole')->getHtml(); ?>
    	<?php echo $form->getElement('numero_non_isole')->getHtml(); ?>
    	
    	<?php echo $form->getElement('us_id')->getHtml(); ?>
    	
    	<?php echo $form->getElement('emplacement_id')->getHtml(); ?>
    	<?php echo $form->getElement('conteneur_id')->getHtml(); ?>
    	
    	<?php echo $form->getElement('elementpoterie_id')->getHtml(); ?>
    	
    </div>
</form>
<!-- Fin du formulaire -->

<!-- JS pour les éléments multimédias -->
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/jquery.blueimp-gallery.min.js"></script>
